import request from '@/utils/request'

// 查询医疗机构与药房对照管理列表
export function listMechanism(query) {
  return request({
    url: '/yfc-admin/pharmacy/mechanism/list',
    method: 'get',
    params: query
  })
}

// 查询医疗机构与药房对照管理详细
export function getMechanism(id) {
  return request({
    url: '/yfc-admin/pharmacy/mechanism/' + id,
    method: 'get'
  })
}

// 新增医疗机构与药房对照管理
export function addMechanism(data) {
  return request({
    url: '/yfc-admin/pharmacy/mechanism',
    method: 'post',
    data: data
  })
}

// 修改医疗机构与药房对照管理
export function updateMechanism(data) {
  return request({
    url: '/yfc-admin/pharmacy/mechanism',
    method: 'put',
    data: data
  })
}

// 删除医疗机构与药房对照管理
export function delMechanism(id) {
  return request({
    url: '/yfc-admin/pharmacy/mechanism/' + id,
    method: 'delete'
  })
}

// 导出医疗机构与药房对照管理
export function exportMechanism(query) {
  return request({
    url: '/yfc-admin/pharmacy/mechanism/export',
    method: 'get',
    params: query
  })
}
